/********************************************************************************
 Author : Akshay Kumar B U (akshay.kumar@analog.com)
					India Applications Support Team 

 Date : January 2014

 File name : AD5687Test.c

 Description : This executable function is written in order to test the functionality of the whole interface code. 

 Hardware plateform : ADuCM360 + AD5687
********************************************************************************/

#include "ADuCM360.h"
#include "ADuCM360Driver.h"
#include "AD5687.h"


int main(void)
{
	
	int step=0x0000;
	ADuCM360_Initialize();     // Initialize ADuCM360 peripherals, watchdog timer, clocks and SPI pins.
	Delay(100);
	InitializeAD5687();        //Initialize AD5687 peripherals
	Delay(100);
	SPIinitialize();           //SPI ports initialization
    Delay(100);
	
	
	while(1)
	{
	for (step=0x0000;step<0xFFF0;step=step+0x07F0)     //Sample test program to output a triangular wave on DAC channels
		{
	
		WriteData(REG_WRITE_UPDATE_DAC_CHANNEL, DAC_ALL,step);
		Delay(100);
	
		} 
	}    
		
while(1){}

}

